Index: /trunk/src/org/expeditee/items/FramePicture.java
===================================================================
--- /trunk/src/org/expeditee/items/FramePicture.java	(revision 1101)
+++ /trunk/src/org/expeditee/items/FramePicture.java	(revision 1102)
@@ -19,18 +19,16 @@
 package org.expeditee.items;
 
-import java.awt.Color;
-import java.awt.Image;
-import java.awt.image.ImageObserver;
-
+import org.expeditee.core.Colour;
+import org.expeditee.core.Image;
 import org.expeditee.gui.AttributeValuePair;
 import org.expeditee.gui.Frame;
 
 public abstract class FramePicture extends Picture {
-	protected FramePicture(Text source, ImageObserver observer, Image image) {
-		super(source, observer, image);
+	protected FramePicture(Text source, Image image) {
+		super(source, image);
 	}
 
 	@Override
-	public void setColor(Color c) {
+	public void setColor(Colour c) {
 		super.setColor(c);
 		refresh();
@@ -55,5 +53,5 @@
 			}
 		}
-		updatePolygon();
+		invalidateBounds();
 	}
 	
